function [ A_FDM_VarA, b_FDM_VarA ] = FDM_function_VarA( v_bed,v_beds_1, D_L, source, S, dx )
%% Setting up parameters

% Define domain in 1D and parameters
v =  transpose(v_bed);  

% Set up number of (total) grid points
numberGridPoints = S; % inclusive grid points for boundary conditions

%% Set up matrix
% Set up three vectors for tridiagonal sparse matrix

% cut off last component in v
vcut = v(1:end-1);
vector_ones = ones(1,S-1);

diagVec      =  [D_L/(D_L + v_beds_1*dx)*(-D_L/dx-2*v_beds_1) + 2*D_L/dx + 2*v(1), 2*D_L/dx + v(2:end-1),  D_L/dx + 2*v(end)];     % c_{j} 
upperDiagVec = [0,-D_L./dx.*vector_ones  ];                                        % c_{j+1}
lowerDiagVec = [  -D_L/dx-vcut         ,0];                                        % c_{j-1} 

% We overwrite the last (relevant) element according to the boundary
% condition
lowerDiagVec(end-1) = -D_L/dx - 2*v(end-1);                                         % c_{j-1} 
      
A_FDM_VarA = spdiags([lowerDiagVec' diagVec' upperDiagVec'],-1:1,numberGridPoints, numberGridPoints); 
b_FDM_VarA = source.*dx;
end
