function [ A_FDM_VarB, b_FDM_VarB ] = FDM_function_VarB( v_bed,v_beds_1, D_L, source, S, dx )
%% Setting up parameters

% Define domain in 1D and parameters
v =  transpose(v_bed);  

% Set up number of (total) grid points
numberGridPoints = S; % inclusive grid points for boundary conditions
 
%% Set up matrix
% Set up three vectors for tridiagonal sparse matrix

% cut off first component in v
vcut = v(2:end);
vector_ones = ones(1,S-1);

diagVec      =  [D_L/(D_L + v_beds_1*dx)*(-D_L/dx - 2*v(1)) + 2*D_L/dx + 4*v(1) - 2*v_beds_1, 2*D_L/dx + 2*v(2:end-1) - v(1:end-2),  D_L/dx + 4*v(end) - 2*v(end-1)];     % c_{j} 
upperDiagVec = [0,-D_L./dx.*vector_ones  ];                                        % c_{j+1}
lowerDiagVec = [  -D_L/dx-vcut         ,0];                                        % c_{j-1} 

% We overwrite the last (relevant) element according to the boundary
% condition
lowerDiagVec(end-1) =  -D_L/dx - 2*v(end);                                         % c_{j-1}         
       
A_FDM_VarB = spdiags([lowerDiagVec' diagVec' upperDiagVec'],-1:1,numberGridPoints, numberGridPoints); 
b_FDM_VarB = source.*dx;
end
