function [ eta_mix ] = Mixture_viscosity_CO2_EtOH( T, P , x_CO2)
% Calculation of the viscosity [Pa*s] of the binary mixture of CO2 and ethanol depending on pressure, temperature and molar fraction of CO2
% equation: Arrhenius 
% input: temperature [K], pressure [Pa], molar fraction of CO2 [-]
% output: viscosity [Pa*s]

eta_CO2 = Viscosity_CO2( T, P );
eta_EtOH = Viscosity_EtOH( T, P );

eta_mix = eta_CO2^x_CO2 * eta_EtOH^(1-x_CO2);

end