function [ V ] = V( P )
% V(P) = -(2+P-2*exp(P/2))/(2*P*(exp(P)-1))
%      = (exp(P/2) -1 -P/2 ) / (P(exp(P)-1)

% Note V(0) = 1/8, V(oo)=0 and V(-oo)=1/2
% For example V(1e3) = 10^(-221)

coeff = [-31.0/743178240.0, 1.0/2419200.0, 17.0/10321920.0, -1.0/60480.0, -1.0/15360.0, 1.0/1440.0, 1.0/384.0, -1.0/24.0, 1.0/8.0];


V = zeros(size(P));
i  = find(abs(P) < 1e-1);
i2 = find((1e3 > P) & (P>= 1e-1));
i3 = find(P >= 1e3);
i4 = find(P <= -1e-1);

V(i)  = polyval(coeff,P(i));
V(i2) = -(2+P(i2)-2*exp(P(i2)/2)) ./ (2*P(i2).*(exp(P(i2)) - 1));
V(i3) = 0; 
V(i4) = -(2+P(i4)-2*exp(P(i4)/2)) ./ (2*P(i4).*(exp(P(i4)) - 1));
end